LPCOpen Platform for LPC18XX/43XX microcontrollers: C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/ccan_18xx_43xx.c File Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
ccan_18xx_43xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Functions
STATIC void | configTimming (LPC_CCAN_T *pCCAN, uint32_t ClkDiv, uint32_t BaudRatePrescaler, uint8_t SynJumpWidth, uint8_t Tseg1, uint8_t Tseg2)
STATIC uint8_t | getFreeMsgObject (LPC_CCAN_T *pCCAN)
STATIC void | freeMsgObject (LPC_CCAN_T *pCCAN, CCAN_MSG_IF_T IFSel, uint8_t msgNum)
STATIC CHIP_CCU_CLK_T | Chip_CCAN_GetClockIndex (LPC_CCAN_T *pCCAN)
void | Chip_CCAN_Init (LPC_CCAN_T *pCCAN)
| Initialize the CCAN peripheral, free all message object in RAM. More...
void | Chip_CCAN_DeInit (LPC_CCAN_T *pCCAN)
| De-initialize the CCAN peripheral. More...
Status | Chip_CCAN_SetBitRate (LPC_CCAN_T *pCCAN, uint32_t bitRate)
| Select bit rate for CCAN bus. More...
void | Chip_CCAN_ClearStatus (LPC_CCAN_T *pCCAN, uint32_t val)
| Clear the status of CCAN bus. More...
void | Chip_CCAN_SetMsgObject (LPC_CCAN_T *pCCAN, CCAN_MSG_IF_T IFSel, CCAN_TRANSFER_DIR_T dir, bool remoteFrame, uint8_t msgNum, const CCAN_MSG_OBJ_T *pMsgObj)
| Set a message into the message object in message RAM. More...
void | Chip_CCAN_GetMsgObject (LPC_CCAN_T *pCCAN, CCAN_MSG_IF_T IFSel, uint8_t msgNum, CCAN_MSG_OBJ_T *pMsgObj)
| Get a message object in message RAM into the message buffer. More...
void | Chip_CCAN_TransferMsgObject (LPC_CCAN_T *pCCAN, CCAN_MSG_IF_T IFSel, uint32_t mask, uint32_t msgNum)
| Tranfer message object between IF registers and Message RAM. More...
void | Chip_CCAN_SetValidMsg (LPC_CCAN_T *pCCAN, CCAN_MSG_IF_T IFSel, uint8_t msgNum, bool valid)
| Enable/Disable the message object to valid. More...
void | Chip_CCAN_Send (LPC_CCAN_T *pCCAN, CCAN_MSG_IF_T IFSel, bool remoteFrame, CCAN_MSG_OBJ_T *pMsgObj)
| Send a message. More...
void | Chip_CCAN_AddReceiveID (LPC_CCAN_T *pCCAN, CCAN_MSG_IF_T IFSel, uint32_t id)
| Register a message ID for receiving. More...
void | Chip_CCAN_DeleteReceiveID (LPC_CCAN_T *pCCAN, CCAN_MSG_IF_T IFSel, uint32_t id)
| Remove a registered message ID from receiving. More...

## Function Documentation

STATIC CHIP_CCU_CLK_T Chip_CCAN_GetClockIndex | ( | LPC_CCAN_T * | pCCAN | ) |

Definition at line 91 of file ccan_18xx_43xx.c.

STATIC void configTimming | ( | LPC_CCAN_T * | pCCAN,
|  | uint32_t | ClkDiv,
|  | uint32_t | BaudRatePrescaler,
|  | uint8_t | SynJumpWidth,
|  | uint8_t | Tseg1,
|  | uint8_t | Tseg2
| ) |  |

Definition at line 47 of file ccan_18xx_43xx.c.

STATIC void freeMsgObject | ( | LPC_CCAN_T * | pCCAN,
|  | CCAN_MSG_IF_T | IFSel,
|  | uint8_t | msgNum
| ) |  |

Definition at line 85 of file ccan_18xx_43xx.c.

STATIC uint8_t getFreeMsgObject | ( | LPC_CCAN_T * | pCCAN | ) |

Definition at line 72 of file ccan_18xx_43xx.c.